Bug 970046 - PRD33 - gluster - Supporting RHS hooks through RHEV-M
PRD33 - gluster - Supporting RHS hooks through RHEV-M
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.3.0
Unspecified Unspecified
medium Severity medium
: ---
: 3.3.0
Assigned To: Sahina Bose
SATHEESARAN
gluster
: FutureFeature
Depends On: 850483
Blocks: 976616 1019470
  Show dependency treegraph
 
Reported: 2013-06-03 07:30 EDT by Sahina Bose
Modified: 2016-02-10 13:58 EST (History)
14 users (show)

See Also:
Fixed In Version: is2
Doc Type: Enhancement
Doc Text:
Users can now manage Red Hat Storage hooks (volume lifecycle extensions) from the Red Hat Enterprise Virtualization Manager. The hooks are deployed during installation of Red Hat Storage servers in a cluster. The functions available to users are enabling or disabling hooks, viewing hook content and resolving content conflict.
Story Points: ---
Clone Of: 850483
: 976616 (view as bug list)
Environment:
Last Closed: 2014-01-21 12:25:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Gluster
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
scohen: Triaged+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 18495 None None None Never

  None (edit)
Comment 1 Gowrishankar Rajaiyan 2013-09-11 11:03:39 EDT
Please provide steps to verify.
Comment 2 Sahina Bose 2013-09-11 11:54:10 EDT
Feature page for this at http://www.ovirt.org/Features/Gluster_Hooks_Management.

You could use the test cases developed by RHSC team to verify.
Comment 3 SATHEESARAN 2013-09-25 21:56:31 EDT
Sahina,

I was using RHEVM3.3 (IS15) on RHEL6.5 Beta.
I have a "gluster-cluster" of compatibility 3.2 containing RHS 2.1 Nodes.

I could see 'Host Hooks" subtab, when I select a particular RHS node.
But this sub-tab is empty. I couldn't see any hooks as described in http://www.ovirt.org/Features/Gluster_Hooks_Management

Please provide me more information for me to VERIFY this bug
Comment 4 Sahina Bose 2013-09-26 02:43:49 EDT
Sas,

The Host Hooks subtab is for VDSM hooks and not relevant in a gluster cluster.

To verify the Gluster hooks management feature, you need to add nodes to a 3.3 cluster as this version is available only in 3.3 cluster level.
You will need RHS 2.1 Update 2 nodes (Corbett) to do this.
Comment 5 SATHEESARAN 2013-09-26 03:31:38 EDT
This bug could not be VERIFIED, as it required RHS 2.1 update 2, as per comment4.
Since RHS 2.1 update 2 is not yet available, this could not be VERIFIED
Comment 6 Prasanth 2013-11-11 07:22:58 EST
This has been Verified. 

Following are the related bugs identified during testing and cloned against RHEVM: 

https://bugzilla.redhat.com/show_bug.cgi?id=1028972
https://bugzilla.redhat.com/show_bug.cgi?id=1028982
https://bugzilla.redhat.com/show_bug.cgi?id=1028975
https://bugzilla.redhat.com/show_bug.cgi?id=1028976
Comment 7 Charlie 2013-11-27 19:26:06 EST
This bug is currently attached to errata RHEA-2013:15231. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.
* Consequence: What happens when the bug presents.
* Fix: What was done to fix the bug.
* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes 

Thanks in advance.
Comment 8 errata-xmlrpc 2014-01-21 12:25:31 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0038.html

Note You need to log in before you can comment on or make changes to this bug.